Bug 835978 - rpm missing %{power64} macro in rawhide
rpm missing %{power64} macro in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Linux
urgent Severity urgent
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: f18-ppc64p7
  Show dependency treegraph
 
Reported: 2012-06-27 13:57 EDT by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-28 03:41:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Aquilina 2012-06-27 13:57:28 EDT
Description of problem:

F17's rpm added a %{power64} architecture macro to help support a new ppc64 subarchitecture coming in F18, and the specfiles for packages which will be built for that new subarchitecture (ppc64p7) have begun to be updated to replace any instance of 'ppc64' with '%{power64}'. 

However, while rpm-4.9.1.3-6.fc17 contains the %{power64} macro, rpm-4.10.0-1.fc18 does not and it is causing build failures on power.
 
Version-Release number of selected component (if applicable):

rpm-4.10.0-1.fc18

I'm guessing that the macro never got added to upstream RPM, and so when rpm in fedora rebased we regressed. We should also verify that the rest of ppc64p7 support made it into upstream rpm.
Comment 1 Panu Matilainen 2012-06-28 03:41:07 EDT
Yup... there were two pieces missing from upstream (as they only had been applied to f17 branch here) and consequently f18 rpm:
- the power64 macro
- fix for 32bit ppc detection that got broken by the added ppc64p7 detection

Both applied upstream now, and added as a patch to rpm-4.10.0-4.fc18. Oh and BTW, thanks for filing this bug as a reminder :)

Note You need to log in before you can comment on or make changes to this bug.